Library Version 12.1.6.2

rbegin
Prev | Chapter 5. Db_map | Next

## rbegin

### Function Details

    reverse_iterator rbegin(ReadModifyWriteOption rmw=
        ReadModifyWriteOption::no_read_modify_write(), bool read_only=false,
        BulkRetrievalOption bulkretrieval=
            BulkRetrievalOption::no_bulk_retrieval(),
        bool directdb_get=true)

Begin a read-write or readonly reverse iterator which sits on the first key/data pair of the database.

#### Parameters

##### directdb_get

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### read_only

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### rmw

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### bulkretrieval

Same as that of db_vector::begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

#### Return Value

The created iterator.

#### See Also

db_vector::begin (ReadModifyWriteOption , bool, BulkRetrievalOption , bool)

db_vector::begin (ReadModifyWrite, bool, BulkRetrievalOption , bool);

    const_reverse_iterator rbegin(BulkRetrievalOption bulkretrieval=
        BulkRetrievalOption::no_bulk_retrieval(),
        bool directdb_get=true) const

Begin a read-only reverse iterator.

#### Parameters

##### directdb_get

Same as that of begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

##### bulkretrieval

Same as that of begin(ReadModifyWrite, bool, BulkRetrievalOption, bool);

#### Return Value

The created const iterator.

#### See Also

db_vector::begin (ReadModifyWrite, bool, BulkRetrievalOption , bool);

### Group: Iterator Functions

The parameters in begin functions of this group have identical meaning to thoes in db_vector::begin , refer to those functions for details.

db_vector::begin()

### Class

db_map

Prev | Up | Next
end | Home | rend